import { FC, PropsWithChildren, Ref } from 'react';
import { PropsWithClassName } from '../../../../lib/types/props';
export interface PopoverContentProps extends PropsWithChildren, PropsWithClassName {
    withTip?: boolean;
    isDialogContent?: boolean;
    isOpen?: boolean;
    width?: string | number;
    padding?: "s" | "m";
    onOpenChange: (isOpen: boolean) => void;
    ref?: Ref<HTMLElement>;
}
/** @flr-generate all */
export declare const PopoverContent: FC<PopoverContentProps>;
export default PopoverContent;
//# sourceMappingURL=PopoverContent.d.ts.map