"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import styles from './MenuItem.module.scss.mjs';
import clsx from 'clsx';
import { MenuItemContent } from './components/MenuItemContent/MenuItemContent.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const MenuItem = flowComponent("MenuItem", (props) => {
  const { children, className, selectionVariant, ref, ...rest } = props;
  const rootClassName = clsx(styles.menuItem, className);
  return /* @__PURE__ */ jsx(Aria.MenuItem, { ...rest, className: rootClassName, ref, children: (props2) => /* @__PURE__ */ jsx(MenuItemContent, { ...props2, selectionVariant, children }) });
});

export { MenuItem, MenuItem as default };
//# sourceMappingURL=MenuItem.mjs.map
